﻿--Digispirit of earth
local earth = {} 

earth.color = {187,107,62}
earth.icon = {x = 4, y = 2}

earth.passive = {
    name = 'Stoneguard',
    number = true,
    max = 20,
    desc = [[Everytime you take damage, you gain =h=2 Stoneguard=h= (max =h=20=h=). Damage you take is reduced by half the amount of =h=Stoneguard=h=. If you would be hit, you can create a stone armor around your body that blocks damage equal to the amount of =h=Stoneguard=h= for =h=2=h= turns, consuming all the stacks.]]
}

earth.human = {
    name = 'Digispirit of Earth',
    passive = earth.passive,
    [1] = {
        name = 'Boulder Breaker',
        cd = 1,
        desc = 'Envelops the fists with stones, allowing attacks that deal =h=1D=h= damage.'
    },
    [2] = {
        name = 'Rock Arise',
        cd = 2,
        desc = 'Breaks a crack on the ground, then raises a pillar of rocks, dealing =h=1D - 1=h= damage and knocking back enemies.'
    }
}

earth[1] = {
	name = 'Gotsumon',
    passive = earth.passive,
    [1] = {
        name = 'Crazy Crusher',
        cd = 0,
        desc = [[Jumps to strike with its fist, dealing =h=1D=h= damage and gaining =h=1=h= extra =h=Stoneguard=h= if it gets hit along the way.]]
    },
    
    [2] = {
        name = 'Earth Shaker',
        cd = 2,
        desc = [[Slams the ground, raising pillars of rock that deal =h=1D=h= damage and briefly block damage equal to the current amount of =h=Stoneguard=h=.]]
    }
}

earth[2] = {
	name = 'Taikomon',
    passive = earth.passive,
  [1] = {
        name = 'Go-Kyojin-Gunka ',
        cd = 1,
        desc = [[Taikomon plays a strong, fast paced song, raising =h=6=h= boulders from the ground: one below himself, allowing him to move around; the other =h=5=h= float around him, being used either for attack, dealing =h=1D + 1=h= damage (every =h=2=h= additional boulders on a same target deal =h=1=h= bonus damage), or for defense, granting =h=2=h= =h=Stoneguard=h= if they get destroyed.]]
    },
    
   [2] = {
        name = 'Maigan-Tsuigeki-Ka',
        cd = 2,
        desc = [[Taikomon plays a frantic beat, causing rock spirals to pursue his enemies, dealing =h=1D + 2=h= damage and trapping them into the ground for =h=1=h= turn.]]
    },
    
   [3] = {
        name = 'Taizan-Sensou-Ka',
        cd = 3,
        desc = [[Taikomon plays an epic battle song, making a giant stone wall surge under his feet, rising himself and protecting his allies from =h=2D=h= damage for up to =h=2=h= turns. =h=Stoneguard=h= is applied to the wall. Taikomon can then make the wall ram forward, dealing =h=2D=h= damage to enemies hit.]]
    }
}
earth[3] = {
	name = 'Gokuwmon',
    passive = earth.passive,
  [1] = {
        name = 'Jougan-Kajishin',
        cd = 2,
        desc = [[Raises a rock wall below his feet, throwing himself into the air then falling with his staff Nyoikinkobou, causing an earthquake that deals =h=2D=h= damage. Gokuwmon gains =h=3=h= extra damage on his next =h=3=h= attacks.]]
    },
    
   [2] = {
        name = 'Senseki-Hametsu',
        cd = 2,
        desc = [[Thrusts the =h=Nyoikinkobou=h= into the ground, causing stones to rise around him, knocking up enemies hit and dealing =h=1D=h= damage. Immediately after, Gokuwmon can either: rush into one enemy and strike it with his palm, sending it away, dealing =h=1D + 3=h= damage and stunning it for =h=1=h= turn if it hits a wall; OR spins both his staff and the stones, dealing =h=1D + 1=h= damage to every enemy around.]]
    },
    
   [3] = {
        name = 'Jikeshin Kyozou',
        cd = 3,
        desc = [[Joins his hands to summon a stone colossus in his own shape that lasts =h=D4 + 1=h= turns and whose health is equal to Gokuwmon's current health =h=+ D20=h=. Also, the colossus mimics Gokuwmon's moves, dealing =h=2D=h= damage in each attack and =h=Stoneguard=h= is applied. When it is defeated or its duration ends, it crumbles into many falling boulders, dealing =h=3D=h= damage.]]
    }
}
earth[4] = {
	name = 'Blastmon',
    passive = earth.passive,
  [1] = {
        name = 'Diamond Guard',
        cd = 2,
        desc = [[Blastmon can either use this on himself, creating an extra diamond armor for =h=1=h= turn that grants =h=+ 50%=h= efficiency on =h=Stoneguard=h= and reflects the reduced damage or he can use in conjunction with another skill, granting it bonus effects.]]
    },
    
   [2] = {
        name = 'Monolith Crush',
        cd = 1,
        desc = [[Slams the ground to command two giant monoliths to rise from the ground, crushing enemies caught in their wake, dealing =h=2D + 2=h= damage.
=h=DIAMOND:=h= The monoliths remain there for =h=2=h= turns, blocking up to =h=2D=h= damage. =h=Stoneguard=h= is applied.]]
    },
    
   [3] = {
        name = 'Havoc Unbalance',
        cd = 3,
        desc = [[Curls up his body and relentlessly rams along the turn on his enemies, knocking them aside, dealing =h=1D + 2=h= damage. When Blastmon reaches a chosen area, he jumps then violently falls, dealing =h=3D=h= (=h=2D=h= if previously hit) damage and causing the earth to break apart, unbalancing the ground to his position.
=h=DIAMOND:=h= Thousands of crystal shards explode during the fall, making enemies hit take =h=D4+1=h= additional damage for =h=1=h= turn.]]
    },
  
   [4] = {
        name = 'Seismic Revolution',
        cd = 5,
        desc = [[Lets out a mighty roar that shatters the earth around Blastmon, raising countless giant boulders high into the sky, taking enemies with them and dealing =h=4D=h= damage.
=h=DIAMOND:=h= When the boulders are about to fall, they become sharp diamond spikes that impale enemies on the ground for =h=1=h= turn, dealing =h=1D=h= extra damage.]]
    }
  }
  earth[5] = {
	name = 'ElDoradimon',
    passive = earth.passive,
  [1] = {
        name = 'Golden Aegis',
        cd = 2,
        desc = [[=h=Passive:=h= Massive boulders covered in gold constantly float around Eldoradimon. Their number is equal to that of Stoneguard, serving as shields that block damage equal to =h=5%=h= of ElDoradimon's current health (=h=Stoneguard=h= applied).
=h=Active:=h= Absorbs all =h=Golden Aegides=h= to heal ElDoradimon by =h=2=h= per boulder.]]
    },
    
   [2] = {
        name = 'Crumble Earthquake',
        cd = 2,
        desc = [[Stomps the ground, releasing a rock shockwave that deals =h=4D=h= damage. By consuming an equivalent amount of =h=Stoneguard=h=, ElDoradimon can hurl =h=Golden Aegides=h= at enemies hit by the shockwave, dealing =h=3=h= extra damage and stunning them for =h=1=h= turn.]]
    },
    
   [3] = {
        name = 'Siege Mountain',
        cd = 3,
        desc = [[Erects a colossal stonewall ahead that remains for up to =h=2=h= turns, blocking =h=3D + 4=h= damage (=h=Stoneguard=h= applied). When the duration ends, or at ElDoradimon's command, the wall splits itself into four parts that ram forward one by one, dealing =h=5D=h= damage and sending off enemies. If =h=Stoneguard=h= shield is activated, =h=Mountain Siege=h= can be immediately used and the =h=Golden Aegides=h= complete the wall all around ElDoradimon.]]
    },
  
   [4] = {
        name = 'World Breaker',
        cd = 5,
        desc = [[Carves a humongous ancient pattern on the ground, then tears apart the structure of the earth, making it sunder, twist, crush, trample and erupt into lava, dealing =h=7D=h= damage to enemies caught in the havoc. By consuming all Stoneguard, ElDoradimon can either use all =h=Golden Aegides=h= to shield his allies from the cataclysm OR send all shattered Golden Aegides into the eruptions to cause a molten gold rain that deals =h=1=h= extra damage for every =h=2=h= =h=Golden Aegides=h=.]]
    }
}
earth[6] = {
	name = 'Gigasmon',
    passive = earth.passive,
    [1] = {
        name = 'Rock Rampage',
        cd = 1,
        desc = [[Rams forward, cracking the ground, dealing damage equal to =h=1D + 3 + 25%=h= of =h=Stoneguard=h=.]]
    },
    
   [2] = {
        name = 'Boulder Toss',
        cd = 2,
        desc = [[Digs his hands into the ground, raising a large boulder and tossing it, dealing =h=2D + 3=h= damage. By consuming =h=4 Stoneguard=h=, the boulder can stun enemies for =h=1=h= turn.]]
    },
    
   [3] = {
        name = 'Ground Spire',
        cd = 3,
        desc = [[Spins his arm then punches upwards, raising a colossal stone ramp in the shape of his fist, dealing =h=3D=h= damage and knocking enemies away. The ramp remains for =h=D4=h= turns.]]
    }
}
  earth[7] = {
	name = 'BanchoGolemon',
    passive = earth.passive,
  [1] = {
        name = 'Warden Bulwark ',
        cd = 0,
        desc = [[Doubles the size of his arm then either slams it into the enemies, dealing =h=2D + 3=h= damage or uses it as protection, deflecting attacks if Stoneguard is at =h=10=h= or more.]]
    },
    
   [2] = {
        name = 'Crust Cracker ',
        cd = 1,
        desc = [[Drills the earth to burrow underground then reappears somewhere else,  breaking through with spiraling rocks, dealing =h=2D + 1=h= damage and knocking back enemies. BanchoGolemon can bring allies with him.]]
    },
    
   [3] = {
        name = 'Dust Pulverize ',
        cd = 1,
        desc = [[Shatters rocks around him to create a dust cloud around him in a large area for =h=D4 + 1=h= turns, slowing enemies inside. If BanchoGolemon or his allies would be hit or if he damages an enemy, he can immediately recompose part of the dust into rocks again to respectively create a =h=D20=h= barrier (=h=Stoneguard=h= applied) or to create crushing boulders that deal =h=D8=h= bonus damage, but the cloud duration is reduced by =h=1=h=.]]
    },
  
   [4] = {
        name = 'Final Burial',
        cd = 1,
        desc = [[Raises a colossal rock dome around himself, imprisoning everyone inside for =h=3=h= turns and slowly contracting. The dome walls can take up to 4D + Stoneguard damage (=h=Stoneguard=h= applied). If they last the whole three turns, the dome collapses and implodes, dealing =h=3D + 3=h= damage and burying enemies to death if their health is below the amount of =h=Stoneguard=h=.]]
    }
}

return earth