--Digispirit of legend
local legend = {} 

legend.color = {255,191,0}
legend.icon = {x = 1, y = 1}

legend.passive = {
    name = 'Legendary',
    number = true,
    max = 10,
    desc = [[Every ability you use generates =h=D4 Densetsu=h=. You can consume all =h=Densetsu=h= stacks (max. =h=10=h=), attempting to =h=Critically Strike=h= your next ability. The chance of that happening becomes =h=10% x Densetsu=h=. When you have =h=5=h= or more stacks, if you generate less than =h=3 Densetsu=h= with a skill, if not used, they decay to half on the next turn.]]
}

legend.human = {
    name = 'Digispirit of Legend',
    passive = legend.passive,
    [1] = {
        name = 'Dragon Lance',
        cd = 2,
        desc = 'Summons a sacred draconic spear that when thrown, deals =h=1D=h= damage and if it generates more than =h=2 Densetsu=h= it snares the target for =h=1/2=h= turn.'
    }
}

legend[1] = {
	name = 'Ryudamon',
    passive = legend.passive,
    [1] = {
        name = 'Iaijin',
        cd = 1,
        desc = [[Shoots an iron blade from its mouth, dealing =h=1D=h= damage and if you generate =h=2=h= or more =h=Densetsu=h=, the target is slowed.]]
    },
    
    [2] = {
        name = 'Dragon Rush',
        cd = 1,
        desc = [[Dashes to a target, hitting it with his helmet, dealing =h=1D=h= damage and if you have at least =h=2=h= =h=Densetsu=h=, it knocks back the target.]]
    }
}

legend[2] = {
	name = 'Ginryumon',
    passive = legend.passive,
    [1] = {
        name = "Tekkoujin",
        cd = 0,
        desc = [[Shoots an energy lance from its mouth, dealing =h=1D=h= damage plus a =h=10% x Densetsu=h= chance of dealing extra =h=D4 - 1=h= damage and pinning them to ground for =h=1/2=h= turn.]]
    },
    
    [2] = {
        name = 'Boujinha',
        cd = 2,
        desc = [[Jumps to a targeted area, unleashing a shockwave that deals =h=1D + 2=h= damage and the hit targets take extra =h=1D=h= damage for =h=1=h= turn from your other abilities. If you generate more than =h=2 Densetsu=h=, the targets are slowed.]]
    },
    
    [3] = {
        name = "Ryūsei",
        cd = 3,
        desc = [[Dashes clad in draconic power, dealing =h=2D=h= damage and knocking away all targets hit on the way, energizing them. When he stops, all targets have a =h=50% + 5%=h= per =h=Densetsu=h= chance of exploding and taking extra =h=D4=h= damage and stun them for =h=1=h= turn.]]
    }
}

legend[3] = {
	name = 'Hisyaryumon',
    passive = legend.passive,
    [1] = {
        name = 'Jinran',
        cd = 0,
        desc = [[Shoots a barrage of energy blades from his mouth, dealing =h=1D=h= damage and slowing all targets hit. Also, blades up to the number of =h=Densetsu=h= can stay on the target and hitting them with your other abilities consumes them for special effects according to the number of blades:
=h=1 to 4:=h= Deals =h=D4=h= bonus damage.
=h=5 to 7:=h= Slows the target.
=h=8 to 10:=h= Stuns the target for =h=1=h= turn.]]
    },
    
    [2] = {
        name = "Ryūgan",
        cd = 2,
        desc = [[Uses the power of his orbs, either shooting an energy beam from the green orb that deals 
=h=1D + 3=h= damage and heals your for =h=1D +=h= =h=Densetsu=h= OR throwing the orange orb to a targeted area, on which it implodes, dealing =h=1D + 3=h= plus half of your =h=Densetsu=h= as bonus damage and pulling all near targets to it.]]
    },
    
    [3] = {
        name = "Sensourin",
        cd = 3,
        desc = [[Circles an area, summoning a sacred lance to fall on the four extreme points of that area. All targets inside the area are grounded and cannot leave it. After =h=2=h= turns a spirit of a giant dragon raises from the ground, knocking up all targets in the area and dealing =h=3D=h= damage. Also, they have a =h=D100%=h= chance of taking =h=10%=h= plus =h=1%=h= per =h=Densetsu=h= of their missing health as bonus damage.]]
    }
}

legend[4] = {
	name = 'Alphammon',
    passive = legend.passive,
    [1] = {
        name = "Alpha Slash",
        cd = 0,
        desc = [[Dashes to a targeted area, slashing it with his blade =h=Ouryūken=h= clad in draconic flames, that deals =h=2D=h= damage and knocks back all targets hit. Also, the targets have a =h=D100%=h= chance of being set ablaze, taking =h=D4=h= plus generated =h=Densetsu=h= as damage per turn during =h=D4 - 1=h= turns.]]
    },
    
    [2] = {
        name = "Dragon Legion",
        cd = 3,
        desc = [[Summons from =h=Ouryūken=h= a legion of ancient dragon spirits to strike his enemies, dealing =h=2D=h= damage and slowing all targets hit. Also, Dragons up to number of =h=Densetsu=h= generated can stay around for =h=2=h= turns. Those Dragons strike your targets differently, depending on the ability you use. (The damage and shield multiplies according to the number of Dragons.)]]
    },
    
    [3] = {
        name = "Digitalize of Soul",
        cd = 3,
        desc = [[Shoots a barrage of energy blasts from his hand, dealing 3D damage and healing you for the number of =h=Densetsu=h= you have.]]
      },
    [4] = {
        name = "Rising Legend",
        cd = 4,
        desc = [[Raises Ouryūken, causing a massive energy burst around him, that deals =h=3D=h= damage and empowers his next ability, making it deal bonus damage equal to your current =h=Densetsu=h= and having =h=40% + 10% x D6=h= chance of stunning the targets for =h=1=h= turn.]]
    }
  }
  
legend[5] = {
    name = 'Fanglongmon',
    passive = legend.passive,
    [1] = {
        name = "Koutei-no-Kiba",
        cd = 1,
        desc = [[Dashes to a chosen direction and bites the targets it hits, dealing =h=3D + 2=h= damage to all targets hit. Also, the targets have their defenses crippled and take extra =h=D4 + 1=h= damage for each =h=Densetsu=h= generated for =h=D4=h= turns.]]
    },
    
    [2] = {
        name = "Soryūko",
        cd = 3,
        desc = [[Summons from his DigiCores a spirit of one of the legendary dragons, which represent Yin and Yang that, when summoned, it strikes targets with its body dealing =h=3D=h= damage plus bonus damage equal to generated =h=Densetsu=h= and stuns them for =h=1=h= turn. It stays around for =h=3=h= turns, striking targets when you use an ability:
=h=Yang Dragon:=h= Breathes out holy flames, that deals =h=4 x=h= =h=Densetsu=h= generated damage and heals you for that same amount.
=h=Yin Dragon:=h= Breathes out unholy destructive flames, that deals =h=5 x=h= =h=Densetsu=h= generated damage and slows them.]]
    },
    
    [3] = {
        name = "Oukai",
        cd = 3,
        desc = [[Emits a shockwave of draconic energy from around him that deals =h=4D + 2=h= damage to all enemies and slows them. Also, it grants a shield of =h=50% + 10% x=h= =h=Densetsu=h= to him and all allies caught in the blast that lasts D4 turns.]]
      },
    [4] = {
        name = "Taikyoku",
        cd = 4,
        desc = [[Summons the Yin Yang symbol in front of him and them fires the ultimate blast from his mouth, dealing =h=6D=h= damage plus D4 extra damage for each =h=Densetsu=h= generated. Also, targets below =h=2,5% x=h= =h=Densetsu=h= health have their bodies disassembled and are instantly eliminated from existence.]]
    }
}

legend[6] = {
	name = 'Slayerdramon',
    passive = legend.passive,
      [1] = {
        name = "Draco Spiral",
        cd = 1,
        desc = [[Jumps to a targeted area while doing a spin attack with his blade Fragarach, dealing =h=1D + 2=h= damage plus =h=1=h= extra damage for each =h=Densetsu=h= generated and if =h=3=h= or more, slows all targets hit.]]
    },
    
    [2] = {
        name = "Frag Shot",
        cd = 2,
        desc = [[Stretches Fragarach to stab a target, dealing =h=2D=h= damage and then recomposes Fragarach to pull himself to the target. When the blade recomposes, it has a =h=D100%=h= chance of generating a shockwave of draconic power that deals bonus damage equal to half of your current =h=Densetsu=h= and stuns the main target if you have =h=4=h= or more.]]
    },
    
    [3] = {
        name = "Kyokudai Ryūken Jutsu ",
        cd = 3,
        desc = [[Shoots all pieces of Fragarach to stab the targets and then forces the blade to recompose, making the energy between the pieces destroy the targets’ bodies, dealing =h=3D=h= damage. Also, there’s a =h=30% + 10% x=h= =h=Densetsu=h= chance of the fragments seeking and hitting the targets’ DigiCores, making them take extra =h=D4=h= damage and silencing them for =h=1=h= turn.]]
      }
  }
  legend[7] = {
	name = 'Examon',
    passive = legend.passive,
      [1] = {
        name = "Draco Impact",
        cd = 2,
        desc = [[Encloses his massive wings around himself and launches to a targeted area, dealing =h=2D + 2=h= damage and knocking back all targets hit and also granting a shield of =h=1D=h= per =h=Densetsu=h= generated.]]
    },
    
    [2] = {
        name = "Avalon's Gate",
        cd = 3,
        desc = [[Impales a targets with his weapon Ambrosius, then explodes it with a burst of energy that knocks away all nearby targets, dealing =h=3D=h= damage. Also, the main target has a =h=50% + 10% x=h= =h=Densetsu=h= chance of being stunned for =h=1=h= turn, and if that happens, targets hit by the shockwave are slowed.]]
    },
    
    [3] = {
        name = "Pendragon's Glory",
        cd = 3,
        desc = [[Shoots a powerful blast of energy from Ambrosius, that deals =h=2D + 3=h= damage and silences all targets hit for =h=1=h= turn. Also, they have a =h=D100%=h= chance of being charged with the energy from the blast. Hitting charged targets deals =h=D4 – 1=h= damage per =h=Densetsu=h=.]]
      },
    [4] = {
        name = "Knight's Seal",
        cd = 4,
        desc = [[Summons the ultimate dragon seal on a targeted area that locks targets in it and charges =h=Densetsu=h= for =h=3=h= turns. The seal has its own =h=Densetsu=h=, and every time =h=Densetsu=h= is generated, the seal accumulates the same amount. After it charges, he blinks and stabs the area with Ambrosius, which explodes, dealing =h=2D + 3=h= damage plus your =h=Densetsu=h= and the Seal =h=Densetsu=h= as bonus damage. Also, the targets have a =h=D100%=h= chance of being stunned for =h=1=h= turn.]]
    }
  }
return legend