--Digispirit of metal
local metal = {} 

metal.color = {161,161,161}
metal.icon = {x = 3, y = 2}

metal.human = {
    name = 'Digispirit of Metal',
    [1] = {
        name = 'Steel Weaponry',
        cd = 1,
        desc = 'Transforms nearby metal into a weapon that deals =h=1D=h= damage.'
    },
    [2] = {
        name = [[Magnectic Force]],
        cd = 2,
        desc = 'Induces an expandable magnetic field around the hand that is sensible to presences, specially metal and electric '
    },
    [3] = {
        name = [[Metal Insight]],
        cd = 2,
        desc = 'Manipulates metal telekinetically, scaling with the Digimon =h=level=h=.'
    }
}
metal[1] = {
	name = 'Hagurumon',
    [1] = {
        name = 'Command: Input',
        cd = 1,
        desc = [[Shoots itself forward, dealing =h=1D=h= damage to enemies hit. Hagurumon goes faster if his target is =h=magnetized=h=.]]
    },
    
    [2] = {
        name = 'Magnetic Gear',
        cd = 1,
        desc = [[Shoots a gear that deals =h=1D=h= damage and magnetizes whatever it hits.]]
    }
}

metal[2] = {
	name = 'Clockmon',
    
    [1] = {
        name = "Time Bullet",
        cd = 1,
        desc = [[Fires a time-warping bullet that deals =h=1D=h= damage and slows whatever it hits, including projectiles.]]
    },
    
    [2] = {
        name = 'Chrono Hammer',
        cd = 2,
        desc = [[Clockmon charges a swing with its hammer that deals =h=1D + 2=h= damage. Each turn preparing the attack increases damage by =h=1=h= and enlarges the hammer.]]
    },
    
    [3] = {
        name = "Year Buster",
        cd = 3,
        desc = [[Creates a time-bending zone around it that speeds up time for Clockmon and lasts =h=D4 + 1=h= turns. Any physical damage dealt to an enemy inside that zone makes them stunned for =h=1=h= turn, but that happens only once per enemy.]]
    }
}

metal[3] = {
	name = 'Wisemon',
    
    [1] = {
        name = "Continuum Slash",
        cd = 1,
        desc = [[Spins the Space and Time Rocks on his hands to create telekinetic blades that deal =h=1D=h= damage each and traces the coordinates of the enemy hit for =h=2=h= turns, so they cannot escape from the expansion of =h=Pandora Dialogue=h=.]]
    },
    
    [2] = {
        name = "Pandora Dialogue",
        cd = 3,
        desc = [[Merges the Space-Time Rocks together to make them expand and engulf allies and up to =h=1D=h= enemies into a parallel dimension. That dimension is finite and round, but looped, so anything that reaches one end reappears at the other side. Also, the dimension records any damage inflicted inside it, but collapses if it exceeds =h=D100=h=.]]
    },
    
    [3] = {
        name = "Eternal Nirvana",
        cd = '?',
        desc = [[While inside =h=Pandora Dialogue=h=, Wisemon can implode the dimension, dealing the amount of =h=recorded damage ÷ D4=h= to all enemies caught in the impact.]]
    }
}

metal[4] = {
	name = 'AncientWisemon',
        [1] = {
        name = "Ancient Barrier",
        cd = 0,
        desc = [[AncientWisemon materializes an elliptical mirror of metal in a desired location that reflects projectiles and forces with =h=1/D4=h= of their damage. Each Ancient Barrier lasts for =h=3=h= turns.]]
    },
    
    [2] = {
        name = "Elder Sign",
        cd = 2,
        desc = [[AncientWisemon shoots a beam of energy and metal shards, either from the mirror on its body or from an Ancient Barrier, dealing =h=2D + 4=h= damage. The beam reflects from any mirrored surface.]]
    },
    
    [3] = {
        name = "Mercury Lock",
        cd = 3,
        desc = [[Deforms an =h=Ancient Barrier=h= into an amorphous prison for =h=1=h= turn around enemies, dealing =h=3D=h= damage. Also, other =h=Ancient Barriers=h= have their duration increased by the number of enemies caught.]]
    },
    
   [4] = {
        name = "Laplace's Demon",
        cd = 4,
        desc = [[AncientWisemon summons a metal demon from another dimension that spawns from any metallic surface, absorbing =h=METAL=h= around itself to grow in size. It lasts =h=D4 + 1=h= turns. AncientWisemon can summon one of these demons at a time:
● =h=Behemoth:=h= a three-horned bull-shaped demon. Its attacks deal =h=D8 + METAL=h= damage. Its ability is a shrieking battle cry that deals =h=3D + METAL=h= damage and stuns enemies for =h=1=h= turn. 
● =h=Leviathan:=h= a sea serpent-shaped demon. Its attacks deal =h=1D + METAL=h= damage. Its ability is a long-range cannon of mercury that deals =h=4D + METAL=h= damage.]]
  }
}
metal[5] = {
	name = 'Gravimon',
        [1] = {
        name = "Tera Punish",
        cd = 0,
        desc = [[Summons =h=D12=h= =h=chains=h=, then unleashes a combo of attacks with his tentacles and chains, dealing =h=3D=h= damage and knocking enemies away. If Gravimon hits enemies binded by =h=chains=h=, he can pull all those enemies together, dealing =h=3=h= bonus damage and attaching those =h=chains=h= to himself.]]
    },
    
    [2] = {
        name = "Zeta Force",
        cd = 2,
        desc = [[Grows his hands and arms to envelop enemies, then throws them, dealing =h=4D + 3=h= damage, and, upon collision, makes =h=D20=h= chains surge from them. Those =h=chains=h= pursue nearby enemies, slow them for =h=1=h= turn then bind them the next turn, dealing =h=3D + 3=h= damage if not previously hit.]]
    },
    
    [3] = {
        name = "Mirror's Edge",
        cd = 3,
        desc = [[Materializes a huge steel mirror that absorbs an enemy attack if its damage is lower than or equal to =h=5D + 3=h=. If the attack is absorbed, a number of chains equal to the damage of the absorbed attack arise from the mirror, striking enemies, dealing =h=5D=h= damage, slowing them for 1 turn then binding them the next turn.]]
    },
   [4] = {
        name = "Chain World",
        cd = 5,
        desc = [[Gathers his chains around himself, then rapidly extends them, creating a huge field of intertwined chains, dealing =h=4D + CHAINS=h= damage (max. =h=50=h=). After recoiling, =h=75%=h= of the chains stay around enemies, binding them for the same number of turns as the number of chains around them, and the other =h=25%=h= return to Gravimon.]]
  }
}

metal[6] = {
	name = 'MetalAsuramon',
    [1] = {
        name = "Vishnu's Balance Pulse",
        cd = 1,
        desc = [[Propels himself with magnetism towards an enemy, striking with his fists, dealing =h=1D + 3=h= damage and pushing back enemies. If the damage dealt is higher than =h=5=h=, MetalAsuramon can immediately repeat the attack on the same turn, up to =h=4=h= times.]]
    },
    
    [2] = {
        name = "Brahma's Creation Circle",
        cd = 2,
        desc = [[Either attacks an enemy in a flurry of fists or detaches his hands to strike up to =h=4=h= enemies, dealing =h=2D + 3=h= or =h=2D=h= damage respectively. Also, those attacks magnetize enemies hit during =h=D4=h= turns, making them get pulled towards MetalAsuramon whenever he attacks or uses an ability.]]
    },
    
    [3] = {
        name = "Shiva's Destuction Lotus",
        cd = 4,
        desc = [[MetalAsuramon stands still and points two arms downwards and two arms upwards, causing sharp metal plates to revolve around him, dealing =h=3D=h= damage and trapping enemies inside the area. In the end, the metal plates burst out, being able to break enemy projectiles and dealing =h=2D=h= damage.]]
    }
}

metal[7] = {
	name = 'Baihumon',
      [1] = {
        name = "Tekkosou",
        cd = 0,
        desc = [[Slashes the enemy with its claws, dealing =h=2D + 3=h= damage, then an array of iron spikes that deal =h=2D =h=damage and push enemies away rises in front of Baihumon.]]
    },
    
    [2] = {
        name = "Koutetsu-Shougeki",
        cd = 1,
        desc = [[Leaps to a chosen location, causing steel pillars to rise around Baihumon, dealing =h=2D + 2=h= damage and imprisoning enemies for =h=1=h= turn.]]
    },
    
    [3] = {
        name = "Kongou",
        cd = 3,
        desc = [[Shoots a wave from its mouth that deals =h=3D + 2=h= damage and converts the enemy's body to metal for =h=1=h= turn. Also, if an enemy that was metalized by Kongou is hit during the next =h=2=h= turns, a metal clone of Baihumon spawns from that enemy (max. =h=2=h=). The clones' HP is equal to half Baihumon's current HP and they follow Baihumon's commands, repeating its abilities and increasing their damage by =h=1=h= if they overlap.]]
    },
    
   [4] = {
        name = "Kinzokuhou",
        cd = 4,
        desc = [[Gathers a high mass metal sphere in its mouth and shoots it. The sphere stops upon collision or when Baihumon decides, then it spins and bursts into countless metal shards, dealing =h=4D=h= damage and pulling enemies towards its center. If they are below =h=10%=h= health, the sphere sucks them to another dimension, allowing Baihumon to teleport them elsewhere.]]
  }
}
return metal