--Digispirit of thunder
local thunder = {} 

thunder.color = {255,255,0}
thunder.icon = {x = 3,y = 0}

thunder.passive = {
    name = 'Polarize',
    number = true,
    max = 2,
    desc = [[When you use =h=2=h= abilities in a row, you become =h=POLARIZED=h=. When you use an ability while =h=POLARIZED=h= you gain special effects.]]
}

thunder.human = {
    name = 'Digispirit of Thunder',
    
    [1] = {
        name = 'Plasma Blade',
        cd = 0,
        desc = 'Creates a blade of plasma to use in combat. Its attacks deal =h=1D – 1=h= damage.'
    },
    [2] = {
        name = [[Electrocute]],
        cd = 2,
        desc = 'Infuses the hands with electricity to make an electrocuting attack that deals =h=1D=h= damage and can cause paralysis.'
    }
}


thunder[1] = {
	name = 'Aegiomon',
    passive = thunder.passive,
    [1] = {
        name = 'Electric Whip',
        cd = 1,
        desc = [[Slashes the target with an electrical whip, dealing =h=1D=h= damage.
=h=POLARIZE:=h= You can dash to the target.]]
    },
    
    [2] = {
        name = 'Thunder Clap',
        cd = 2,
        desc = [[Slaps his hands sending a shockwave that knocks back the targets and deals =h=1D=h= damage.
=h=POLARIZE:=h= Stuns the target for =h=1/2=h= turn.]]
    }
}

thunder[2] = {
	name = 'Aegiochusmon',
    passive = thunder.passive,
    [1] = {
        name = "Voltaic Impale",
        cd = 0,
        desc = [[Shoots an electric spear that stays on the target, which deals =h=1D + 1=h= damage.
=h=POLARIZE:=h= You can throw =h=D4=h= extra spears and deals that same amount as bonus damage.]]
    },
    
    [2] = {
        name = 'Discharge',
        cd = 2,
        desc = [[Rends the electric spears from the targets, dealing =h=1D + 1=h= damage for each spear and you can blink to a target.
=h=POLARIZE:=h= Slows the targets for =h=1=h= turn for each spear.]]
    },
    
    [3] = {
        name = "Statik Stare",
        cd = 3,
        desc = [[Grabs the target and electrifies it with a stare, dealing =h=2D=h= damage and slowing it.
=h=POLARIZE:=h= Stuns the target for =h=1=h= turn.]]
    }
}

thunder[3] = {
	name = 'Aegiochusmon Holy',
    passive = thunder.passive,
    [1] = {
        name = "Lightning Shower",
        cd = 0,
        desc = [[Calls a shower or lightning that deals =h=2D + 1=h= damage to the targets in an area and slows them. The area lasts for =h=D4=h= turns.
=h=POLARIZE:=h= The area doubles in size.]]
    },
    
    [2] = {
        name = "Plasma Diver",
        cd = 2,
        desc = [[Dashes to a target, dealing =h=2D + 2=h= damage and knocking it back.
=h=POLARIZE:=h= Deals bonus =h=4=h= damage and releases a shockwave that deals that amount of damage.]]
    },
    
    [3] = {
        name = "Helix Blaster",
        cd = 3,
        desc = [[Sends a helix shaped blast that =h=3D=h= damage to the targets. You can also bind the blast to yourself or another enemy and pull them closer, smashing them.
=h=POLARIZE:=h= Deals =h=D6=h= bonus damage.]]
    }
}

thunder[4] = {
	name = 'Jupitermon',
    passive = thunder.passive,
        [1] = {
        name = "Retribution Bolt",
        cd = 0,
        desc = [[Dashes to a target, hitting it with his hammers, dealing =h=2D + 2=h= damage.
=h=POLARIZE:=h= Stuns the target for =h=1=h= turn. ]]
    },
    
    [2] = {
        name = "Wide Plasment",
        cd = 2,
        desc = [[Dashes with lightning speed, damaging the targets he passes through for =h=2D + 3=h= damage.
=h=POLARIZE:=h= Knocks back or up the targets.]]
    },
    
    [3] = {
        name = "Wrath of the Sky",
        cd = 3,
        desc = [[Calls a lightning from the sky to strike a target, dealing =h=3D + 2=h= damage and slowing the target.
=h=POLARIZE:=h= Imprisons the target with a lighting prison for =h=2=h= turns. ]]
    },
    
    [4] = {
        name = "Lord of Olympus",
        cd = 4,
        desc = [[Joins his two hammers and forms a giant lighting spear that impales a target, dealing =h=4D + 2=h= damage.
POLARIZE: Deals extra =h=8=h= damage and releases a shockwave that deals half of the total skill damage and knockouts all targets hit for =h=1=h= turn.]]
    }
}

thunder[5] = {
    name = 'Jupitermon Wrath Mode',
    passive = thunder.passive,
  [1] = {
        name = "Vronti Pyloni",
        cd = 2,
        desc = [[Summons a pillar of lightning to follow a target during =h=2=h= turns, dealing =h=2D + 2=h= damage per turn and slowing them.
=h=POLARIZE:=h= Increases the skill duration for =h=1=h= turn.]]
    },
    
    [2] = {
        name = "Theia Apergia",
        cd = 2,
        desc = [[Dashes to a target with lightning speed, thrusting it his sword =h=Titan Slayer=h=, that summons a chain lightning to strike other nearby targets, dealing =h=3D + 3=h= damage. If you hit more than =h=1=h= target and one of them are afflicted by =h=Vronti Pyloni=h=, they become afflicted by the ability too.
=h=POLARIZE:=h= Paralyzes all targets hit for =h=1=h= turn.]]
    },
    
    [3] = {
        name = "Pedio Vronti",
        cd = 3,
        desc = [[Summons an area of electricity around him that deals =h=3D=h= damage per turn during =h=2=h= turns and if the targets are afflicted by =h=Vronti Pyloni=h= its duration is extended for =h=1=h= turn.
=h=POLARIZE:=h= The targets caught in =h=Pedio Vronti=h= cannot leave the area until the skill ends.]]
    },
    
    [4] = {
        name = "Olympus Exalli",
        cd = 4,
        desc = [[Thrusts =h=Titan Slayer=h= on the ground and causes a massive lightning to fall on him and spreads to the area around, dealing =h=7D=h= damage.
=h=POLARIZE:=h= Deals extra =h=8=h= damage and stuns all targets hit for =h=1=h= turn.]]
    }
}
thunder[6] = {
	name = 'Goddramon',
    passive = thunder.passive,
    [1] = {
        name = "Omen of Destruction",
        cd = 0,
        desc = [[Summons the red lightning dragon Amon and sends it to strike a target, dealing =h=2D + 1=h= damage and slowing targets in a small area. The damage you deal with this ability is stored as =h=Destruction Energy=h=.
=h=POLARIZE:=h= Snares the targets for =h=1=h= turn and deals bonus =h=2=h= damage. ]] 
    },
    
    [2] = {
        name = "Omen of Creation",
        cd = 2,
        desc = [[Summons the blue lightning dragon Umon, which surrounds him and turns into an electric shield that reflects =h=2D + 1=h= damage and lasts =h=D4=h= turns. All damage shielded is stored as =h=Creation Energy=h=.
=h=POLARIZE:=h= Shields for an extra =h=3=h= damage and heals you for half of the damage reflected.]]
    },
    
    [3] = {
        name = "Equilibrium Strike",
        cd = 3,
        desc = [[Summons his both dragons and fuses them in a lightning explosion that deals =h=3D=h= damage to the targets. When this ability is cast, all your stored =h=Creation Energy=h= is consumed to heal all allies in the area for half that amount (max. =h=8=h=)  and the stored =h=Destruction Energy=h= is consumed to deal bonus damage equal to half of that amount (max. =h=8=h=).
=h=POLARIZE:=h= Slows the targets and doubles the bonuses from the stored =h=Energies=h=.]]
    }
}
thunder[7] = {
    name = 'Azulongmon',
    passive = thunder.passive,
  [1] = {
        name = "Storm Shackles",
        cd = 0,
        desc = [[=h=Attaches=h= his chains to a target for =h=D4=h= turns. While =h=attached=h=, they flow electric currents into the target, dealing =h=1D + 1=h= damage per turn. When the chains detach, they explode, dealing =h=1D=h= damage plus half of the damage they had taken from this ability.
=h=POLARIZE:=h= Slows the =h=attached=h= target for the duration of the ability.]]
    },
    
    [2] = {
        name = "Dance of Raijin",
        cd = 3,
        desc = [[Makes an electric clone of himself that travels in his opposite direction. When they reunite, the enclosed space is electrified, dealing =h=1D + 3=h= damage to all targets caught and snaring them if they are attached. In addition, =h=1=h= turn later, a powerful thunderbolt hits the area, dealing =h=2D + 3=h= damage.
=h=POLARIZE:=h= Gains a shield that lasts =h=D4=h= turns and blocks damage equal to the thunderbolt damage dealt plus =h=2=h= extra for each =h=attached=h= target.]]
    },
    
    [3] = {
        name = "Thundering Voice",
        cd = 3,
        desc = [[Lets out a reverberating roar that deals =h=3D + 2=h= damage and knocks back all targets hit. If any =h=attached=h= target is hit, electricity flows back through the chains, healing you for =h=1D=h= for each target.
=h=POLARIZE:=h= Deals bonus =h=3=h= damage and stuns attached targets for =h=1=h= turn.]]
    },
    
    [4] = {
        name = "Sky Torment",
        cd = 5,
        desc = [[Calls a thunderstorm to descend from the sky that deals =h=4D=h= damage to all targets hit and bonus damage to attached targets equal to =h=20%=h= of their missing health.
=h=POLARIZE:=h= Stuns all targets hit for =h=1=h= turn and deals bonus =h=5=h= damage.]]
    }
}

return thunder