﻿--Digispirit of darkness
local darkness = {} 

darkness.color = {177,75,239}
darkness.icon = {x = 4, y = 0}

darkness.human = {
    name = 'Digispirit of Darkness',
    
    [1] = {
        name = 'Shadow Walk',
        cd = 'Passive',
        desc = 'The power of darkness grants its bearer the ability to traverse through the Shadow Realm.'
    }
}

darkness[1] = {
	name = 'Dorumon',

    [1] = {
        name = 'Black Tail',
        cd = 1,
        desc = [[Slashes the target with his darkness-clad tail with darkness, dealing =h=1D=h= damage and knocking back the target.]]
    },
    
    [2] = {
        name = 'Shadow Ball',
        cd = 1,
        desc = [[Sends a bolt of dark energy that deals =h=1D - 1=h= damage and slows the target.]]
    }
}

darkness[2] = {
	name = 'DexDorugamon',
    
    [1] = {
        name = "Death Vortex",
        cd = 2,
        desc = [[Summons a vortex of darkness that deals =h=1D + 2=h= damage and heals you for that same amount.]]
    },
    
    [2] = {
        name = 'Soul Spear',
        cd = 0,
        desc = [[Throws a spear of darkness that hits the target’s soul, dealing =h=1D + 2=h= damage.]]
    },
    
    [3] = {
        name = "Umbra Chains",
        cd = 2,
        desc = [[Binds the target to him with chains of dark energy, dealing =h=1D + 3=h= damage. In addition, the target remains shackled until it gets out of range and while shackled, your =h=Soul Spears=h= will not miss.]]
    }
}

darkness[3] = {
	name = 'DexDorugreymon',
    
    [1] = {
        name = "Onyx Irradiation",
        cd = 1,
        desc = [[While toggled, emanates waves of darkness that deals =h=1D + 2=h= damage and slows the targets hit.]]
    },
    
    [2] = {
        name = "Ebony Ray",
        cd = 1,
        desc = [[Channels a beam of dark energy that deals =h=2D +1=h= damage.]]
    },
    
    [3] = {
        name = "Soul Torment",
        cd = 3,
        desc = [[Marks a target with a sigil of evil during =h=3=h= turns, dealing =h=1D + 4=h= damage. While the target is tormented, the sigil stores =h=50%=h= of the damage you deal to it. When it expires, deals that amount as damage (max. =h=15=h=).]]
    }
}

darkness[4] = {
	name = 'DexDorugoramon',
        [1] = {
        name = "Pestilence",
        cd = 2,
        desc = [[Sends a cloud of foul dark energy to torment a target, slowing the target and dealing =h=2D + 1=h= damage over 3 turns. Each turn, the slow is amplified.]]
    },
    
    [2] = {
        name = "Famine",
        cd = 2,
        desc = [[Strikes with a siphoning blast that deals =h=2D + 2=h= damage and heals you for =h=40%=h= of your missing health.]]
    },
    
    [3] = {
        name = "War",
        cd = 2,
        desc = [[Launches a dark energy copy of the ball in his tail that deals 3D + 2 damage. If the target hit is afflicted by Pestilence, it is snared.]]
    },
    
    [4] = {
        name = "Death",
        cd = 3,
        desc = [[Vanishes the target into the Dark Dimension through the power of the shadows, dealing =h=4D + 1=h= damage.]]
    },

    [5] = {
        name = "Apocalypse",
        cd = '?',
        desc = [[Unlocks after using his other =h=4=h= abilities that serve as heralds of the final destruction. Releases an unholy orb that resembles the fusion of all his other abilities and deals =h=5D=h= damage. Also all targets hit becomes desperate empty versions of themselves, losing all their senses during the next turn.]]
    }
}

darkness[5] = {
    name = 'Dexmon',
  [1] = {
        name = "Process: Torment",
        cd = 0,
        desc = [[Spawns a =h=Null Gate=h= that deals =h=3D=h= damage to all targets that touch it. The area remains there for =h=3=h= turns. Spawning an ability from a =h=Null Gate=h= refreshes its duration.]]
    },
    
    [2] = {
        name = "Process: Feast",
        cd = 3,
        desc = [[Summons, from a =h=Null Gate=h= a tentacle of a unknown demonic entity that smashed a targeted area, dealing =h=4D + 3=h= damage, slowing and draining its life force, healing you for 15% of their current health. Also, a new =h=Null Gate=h= spawns in the smashed area.]]
    },
    
    [3] = {
        name = "Process: Anihilate",
        cd = 3,
        desc = [[Calls tendrils from a =h=Null Gate=h= of dark energy to pull a target inside it, dealing =h=5D + 2=h= damage. Then you can open a new =h=Null Gate=h= and throw out that target, filling it with dark energy and if you hit that target, the dark energy spawns a =h=Null Gate=h= nearby it.]]
    },
    
    [4] = {
        name = "Process: Oblivion",
        cd = 5,
        desc = [[Throws an orb of unholy energy from his hands to a targeted area, on which it explodes dealing =h=7D=h= damage to all targets hit. Also, all =h=Null Gates=h= blast the area with beams of darkness, dealing =h=3=h= damage for each active =h=Null Gate=h=.]]
    }
}

darkness[6] = {
	name = 'Baalmon',
    [1] = {
        name = "Chaos Fluch",
        cd = 0,
        desc = [[Throws a cursed paper seal that deals =h=1D + 2=h= damage. The seal stays on the target and the next ability you hit it with gains special effects depending on the seal used:

=h=Verfluchter Fluch:=h= Deals bonus =h=3=h= damage for each seal.
=h=Drainierender Fluch:=h= Heals for =h=4=h= health for each seal.
=h=Lahmender Fluch:=h= Stuns the target for =h=1=h= turn.]] 
    },
    
    [2] = {
        name = "Dämonen Siegel",
        cd = 2,
        desc = [[Invokes the ultimate demonic seal to empower his dagger and throws it, dealing =h=2D + 2=h= damage and can choose to blink to the target hit.]]
    },
    
    [3] = {
        name = "Seelenschloss",
        cd = 3,
        desc = [[With his cursed right arm, entangles the target’s body and soul in cursed paper seals, dealing 3D damage and throws it.]]
    }
}
darkness[7] = {
	name = 'Plutomon',
    [1] = {
        name = "Dunkelheit Beißen",
        cd = 0,
        desc = [[Sends out dark fangs to attack a target and slow them, dealing =h=2D + 1=h= damage and making them spawn =h=1 Black Mist=h= per turn, during =h=D4=h= turns.]] 
    },
    
    [2] = {
        name = "Bosheit Bereich",
        cd = 2,
        desc = [[Spawns a field of dark energy that deals =h=2D + 4=h= damage and spawns =h=X Black Mist=h=. Targets afflicted by =h=Dunkelheit Beißen=h= are imprisoned by darkness chains for =h=1=h= turn.]]
    },
    
    [3] = {
        name = "Böser Anblick",
        cd = 2,
        desc = [[Blinks to a chosen location dealing =h=2D + 2=h= damage and slowing targets afflicted by =h=Dunkelheit Beißen=h=. Spawns =h=Black Mist=h= equal to the number of targets hit.]]
    },

    [4] = {
        name = "Höllentor",
        cd = 4,
        desc = [[Consumes all Black Mist (min. =h=5=h=) to open a gate to the underworld, releasing a blast of evil energy filled with the pain and suffering from sinners’ souls that deals =h=3D + 3=h= plus =h=3=h= bonus damage for each =h=Black Mist=h= consumed.]]
    }
}
return darkness