--Digispirit of ice
local ice = {} 

ice.color = {184,241,255}
ice.icon = {x = 1,y = 2}

ice.passive = {
    name = 'Aurora Marks',
    desc = [[Your abilities either mark targets with =h=Aurora Marks=h= (max. =h=3=h=) or consume them.]]
}

ice.human = {
    name = 'Digispirit of Ice',
    
    [1] = {
        name = 'Ice Spear',
        cd = 0,
        desc = 'Creates a spear of ice that deals =h=1D – 1=h= damage.'
    },
    [2] = {
        name = 'Polargeist',
        cd = 2,
        desc = 'Continuously blows a freezing gust from the hands that slows enemies.'
    }
}


ice[1] = {
	name = 'Gabumon',
    passive = ice.passive,
    [1] = {
        name = 'Icy Breath',
        cd = 1,
        desc = [[Channels an icy breath that deals =h=D4=h= damage, slows and marks enemies each turn it hits.]]
    },
    
    [2] = {
        name = 'Blue Beam',
        cd = 2,
        desc = [[Blasts the enemies with a freezing energy that deals =h=1D=h= damage.

=h=AURORA:=h= =h=1=h= – Slightly slows; =h=2=h= – Slows; =h=3=h= – Freezes for =h=1=h= turn.]]
    }
}

ice[2] = {
	name = 'Garurumon X',
    passive = ice.passive,
    [1] = {
        name = "Frost Fang",
        cd = 0,
        desc = [[Bites an enemy with ice-clad fangs, dealing =h=1D + 1=h= damage, slowing and marking it.]]
    },
    
    [2] = {
        name = 'Cryo Alias',
        cd = 2,
        desc = [[Blinks to a chosen location, leaving an ice copy of him that explodes, dealing =h=1D + 1=h= damage, slowing and marking the targets hit.]]
    },
    
    [3] = {
        name = "Howling Blaster",
        cd = 3,
        desc = [[Emits a howl that emanates freezing waves that deals =h=1D + 3=h= damage.

=h=AURORA:=h= =h=1=h= – Slows; =h=2=h= – Briefly Freezes; =h=3=h= – Freezes for =h=1=h= turn.]]
    }
}

ice[3] = {
	name = 'WereGarurumon X',
    passive = ice.passive,
    [1] = {
        name = "Winter Claw",
        cd = 0,
        desc = [[Strikes the target with its ice infused claws, dealing =h=1D + 2=h= damage, slowing and marking it. Also, while using this ability, gains movement speed.]]
    },
    
    [2] = {
        name = "Phantom Rush",
        cd = 2,
        desc = [[Becomes an ice phantom and dashes to a chosen direction dealing =h=2D + 1=h= damage to all targets he passes through, marking and slowing them.]]
    },
    
    [3] = {
        name = "Frozen Waltz",
        cd = 4,
        desc = [[Dashes through up to =h=5=h= targets as a glacial ghastly form, dealing =h=2D + 3=h= damage.

=h=AURORA:=h= =h=1=h= – Slows; =h=2=h= – Briefly Freezes; =h=3=h= – Freezes for =h=1=h= turn.]]
    }
}

ice[4] = {
	name = 'MetalGarurumon X',
    passive = ice.passive,
    [1] = {
        name = "Snowstorm",
        cd = 1,
        desc = [[Fires a continuous storm of ice missiles that forms ice crystals on impact that deals =h=2D + 3=h= damage, slowing and marking the target.]]
    },
    
    [2] = {
        name = "Cross Glacier",
        cd = 2,
        desc = [[A cross shaped glacial shot that bounces from the original target to unmarked ones, dealing =h=2D + 4=h= damage, marking and slowing on hit.]]
    },
    
    [3] = {
        name = "Zero Snipe",
        cd = 3,
        desc = [[Shoots a carefully aimed freezing bullet that deals =h=3D + 1=h= damage. This ability can stun the target if the =h=D6=h= result is equal or lower than the number of =h=AURORA MARKS=h= on it.

=h=AURORA:=h= =h=1=h= – =h=+2=h= bonus damage; =h=2=h= – =h=+3=h= bonus damage; =h=3=h= – =h=+4=h= bonus damage.]]
    },

    [4] = {
        name = "Aurora Excecution",
        cd = 4,
        desc = [[Ultimate freezing blast that deals =h=3D + 3=h= damage plus =h=3=h= bonus damage for each =h=AURORA MARK=h= to the targets hit and freezes them for =h=1=h= turn.]]
    }
}

ice[5] = {
	name = 'AncientMegatheriumon',
    passive = ice.passive,
    [1] = {
        name = "White Veil",
        cd = 2,
        desc = [[While active: AncientMegatheriumon constantly blows a blizzard from its cannons, dealing =h=2D=h= damage, slowing and marking enemies around it every turn.]]
    },
    
    [2] = {
        name = "Glacial Barrage",
        cd = 2,
        desc = [[Shoots a barrage of ice missiles that deal =h=4D + 1=h= damage, slow and mark enemies. If an enemy with =h=Aurora Marks=h= is hit, an ice wall spawns around it for =h=2=h= turns. =h=Glacial Barrage=h= disables =h=White Veil=h= and can be used during =h=Avalanche Charge.=h=]]
    },
    
    [3] = {
        name = "Avalanche Charge",
        cd = 3,
        desc = [[Rams onward, slowing, marking, dealing =h=4D=h= damage and knocking aside enemies in the path. Ramming into marked enemies grants a shield equal to the number of =h=Aurora Marks=h=, lasting for =h=1=h= turn after the skill duration. When the target is reached, AncientMegatheriumon slams enemies, dealing =h=5D + 2=h= damage, marking and sending them away.]]
    },

    [4] = {
        name = "Aurora Sparkle",
        cd = 3,
        desc = [[Its crystal eye glows intense, summoning =h=3=h= giant floating icicles. AncientMegatheriumon can then aim and pull down those icicles into enemies, dealing =h=6D=h= damage. (This skill can be used along turns. Consecutive hits on a same target deal progressively half damage.)

=h=AURORA: 1 -=h= Summons more icicles according to the number of =h=Aurora Marks=h=; =h=2 -=h= Freezes for =h=1=h= turn; =h=3 -=h= Deals =h=3=h= bonus damage.]]
    }
}
ice[6] = {
	name = 'Korikakumon',
    passive = ice.passive,
    [1] = {
        name = "Avalanche Axes",
        cd = 0,
        desc = [[Throws or swings his axes, dealing =h=1D + 2=h= damage to enemies hit and letting out a cold burst, slowing and marking. Picking up the axes will increase the damage of the next =h=Avalanche Axes=h= by =h=1=h= and its slow effect if used during the next =h=2=h= turns. This effect stacks up to =h=3=h= times.]]
    },
    
    [2] = {
        name = "Glacier Grasp",
        cd = 2,
        desc = [[Wraps the arrowheads on its braids around an enemy, dealing =h=2D + 2=h= damage, throwing, and marking it. When it collides with something, ice crystals bind it with whatever it hits during =h=1=h= turn.]]
    },
    
    [3] = {
        name = "Raging Blizzard",
        cd = 3,
        desc = [[Conjures a frost seal on a chosen area, soon after teleporting to its center, blasting with a blizzard that deals =h=3D=h= damage.

=h=AURORA: 1 -=h= Slows; =h=2 -=h= Freezes for =h=1=h= turn; =h=3 -=h= Also empowers his next skill: =h=Avalanche Axes=h= and its cold burst deal =h=3=h= extra damage, and =h=Glacier Grasp=h= freezes completely.]]
  }
}
ice[7] = {
	name = 'Vikemon',
    passive = ice.passive,
      [1] = {
        name = "Frost impact",
        cd = 2,
        desc = [[Punches the ground, making ice crystals surge, dealing =h=2D + 3=h= damage, marking and knocking up enemies. If Vikemon hits an enemy with =h=Aurora Marks=h=, ice shards spread to other enemies around, dealing the same damage, marking and slowing.]]
    },
    
    [2] = {
        name = "Northern Star",
        cd = 2,
        desc = [[Fires his morning stars =h=Mjöllnir=h= at a long range, dealing =h=2D + 4=h= damage and marking. After retracting =h=Mjöllnir=h=, Vikemon's attacks will deal extra damage equal to the number of =h=Aurora Marks=h= on the enemies that will be hit and will slow them, for the next =h=2=h= turns.]]
    },
    
    [3] = {
        name = "Glacial Voice",
        cd = 3,
        desc = [[Roars and shoots a gust of glacial winds that explodes on the first enemy hit by the gust, releasing a blast of freezing energy, dealing =h=3D + 2=h= damage, marking and slowing all enemies hit. The first enemy hit will have its damage reduced by =h=4 x Aurora Marks=h= for the next =h=D4=h= turns.]]
    },

    [4] = {
        name = "Artic Blizzard",
        cd = 4,
        desc = [[Joins his fists and summons an intense blizzard around himself that lasts =h=D4 + 1=h= turns, follows Vikemon and marks enemies every turn. Enemies slowed by Vikemon inside the blizzard are instead frozen for =h=1=h= turn if =h=3=h= =h=Aurora Marks=h= are consumed. When the blizzard stops, a violent frost surge emanates from Vikemon, dealing =h=4D=h= damage.  

=h=AURORA: 1 –=h= Deals extra damage equal to the number of =h=Aurora Marks=h=; =h=2 -=h= Slows; =h=3 -=h= Freezes for =h=1=h= turn.]]
    }
   }
  
return ice