--Digispirit of water
local water = {} 

water.color = {0,114,255}
water.icon = {x = 0,y = 2}

water.human = {
    name = 'Digispirit of Water',
    
    [1] = {
        name = 'Water Jet',
        cd = 0,
        desc = 'Emits a pressured water jet from the hands that deals =h=1D – 2=h= damage and pushes back enemies.'
    },
    [2] = {
        name = 'Bubble Shield',
        cd = 2,
        desc = 'Conjures a bubble shield that protects from =h=1D + 2=h= damage and impacts for =h=1=h= turn.'
    }
}

water[1] = {
	name = 'Kamemon',
    
    [1] = {
        name = 'Aqua Shell',
        cd = 0,
        desc = [[Hides itself in its shell and shoots out water from one or more of its holes, damaging enemies hit by =h=1D  - 2=h= damage, while propelling itself around.]]
    },
    
    [2] = {
        name = 'Hydro Pulse',
        cd = 1,
        desc = [[Focuses power into its belly and a powerful jet of water gushes forth, pushing itself backwards and dealing =h=1D  - 1=h= damage.]]
    }
}

water[2] = {
	name = 'Gawappamon',
    
    [1] = {
        name = "Gawa Flow",
        cd = 1,
        desc = [[Gawappamon dances while controlling two threads of water. Hitting an enemy a first time with the threads of water deals =h=1D + 1=h= damage and subsequent hits deal =h=D4=h= damage. Enemies hit are always slowed until the next turn.]]
    },
    
    [2] = {
        name = 'Splash!',
        cd = 2,
        desc = [[Gawappamon gathers any available water around itself and from within its body to release a powerful water bomb that explodes dealing =h=1D + 2=h= (=h=+ bonus water=h=) damage to all nearby enemies. (Both =h=Gawa Flow=h= and =h=Torrential Twister=h= can supply more water for this ability)]]
    },
    
    [3] = {
        name = "Torrential Twister",
        cd = 4,
        desc = [[Summons a big tornado made of water that damages enemies hit inititally by =h=1D + D4=h= and subsequent hits deal =h=D4=h= damage. Gawappamon can ride on this tornado to gain speed and protection.]]
    }
}

water[3] = {
	name = 'Shawujinmon',
    
    [1] = {
        name = "Crescent Wave",
        cd = 2,
        desc = [[Conjures a crescent shaped wave in front of him, initially damaging enemies by =h=2D=h= then each subsequent hit deals =h=D4=h= damage, pushing aside all targets. Shawujinmon can ride atop this wave to quickly surf through the battlefield.]]
    },
    
    [2] = {
        name = "Rippling Barrier",
        cd = 2,
        desc = [[Summons a barrier of water around himself that absorbs =h=2D + 2=h= damage over =h=D4 + 1=h= turns. If the barrier is not destroyed, any remaining power it has left is brought back to Shawujinmon, amplifying the damage of his next attack or ability by the same amount of stored aquatic power.]]
    },
    
    [3] = {
        name = "Raging Stream",
        cd = 3,
        desc = [[Brings forth from the ground an intense geyser that damages enemies hit by =h=2D + 3=h= and knocks them up, high into the sky.]]
    }
}

water[4] = {
	name = 'Neptunemon',
        [1] = {
        name = "Vortex Penetrate",
        cd = 0,
        desc = [[Neptunemon hurls his trident =h=King’s Bite=h=, which pierces through every enemy hit, damages them by =h=2D=h= and marks them. He can then dash to any marked target or to =h=King’s Bite=h= itself.]]
    },
    
    [2] = {
        name = "Wave of Depth",
        cd = 2,
        desc = [[Calls forth a giant wave, which initially damages enemies hit by =h=2D + 3=h= then each subsequent hit deals =h=1D=h= damage. When the wave stops or is stopped by Neptunemon, it captures enemies next to it inside a water bubble for =h=1=h= turn, making them unable to move. This wave lasts for up to =h=D4 + 1=h= turns and can be ridden.]]
    },
    
    [3] = {
        name = "Tidal Frontier",
        cd = 3,
        desc = [[Stabs =h=King's Bite=h= downward, waking a tidal wave around him that deals =h=3D=h= damage and knocks enemies away. If used on a water body, the wave gets bigger, dealing =h=3=h= extra damage and knocking even further.]]
    },
    
    [4] = {
        name = "Gate of Atlantis",
        cd = 5,
        desc = [[Neptunemon opens a portal of the underwater realm of Atlantis, preparing for the advent of a terrible ocean creature. During the first turn the gate is open, gigantic tentacles appear, following any enemies marked by =h=King’s Bite=h= and catch them. During the next turn, the creature pulls those enemies and anything around the gate towards the center of the vortex, aiming to unleash its power. During the third and last turn, a monstrous water kraken comes from the gate, attacking all enemies of Neptunemon, dealing =h=4D=h= and =h=2=h= bonus damage for each marked target.]]
    }
}

water[5] = {
    name = 'Splashmon',
      [1] = {
        name = "Overflood",
        cd = 1,
        desc = [[Summons a gigantic stream below his feet that expands in a wide radius and gushes forward overwhelmingly fast, dealing =h=3D + 3=h= damage and violently driving away enemies. While this ability is out of cooldown, Splashmon constantly rides on a wave, enhancing his movement.]]
    },
    
    [2] = {
        name = "Water Edge",
        cd = 2,
        desc = [[Causes a waterspout around himself that deals =h=4D=h= damage and expels enemies from the area. Then, Splashmon converts his water sphere into a spinning water blade for =h=3=h= turns to alter his attacks, allowing him to either use the blade itself, dealing =h=3D=h= damage, or use it to release sharp water splashes forward, dealing =h=2D + 1=h= damage.]]
    },
    
    [3] = {
        name = "Hydro Pressure",
        cd = 3,
        desc = [[Opens a whirlpool on a chosen location that shoots a massive pillar of high-pressure water, dealing =h=5D=h= damage and pushing enemies to the end of the jet. Also, after that, the whirlpool closes itself into a sphere, following Splashmon for =h=D4=h= turns. Whenever he hits an enemy, the sphere reopens to shoot a barrage of water bullets, dealing half the damage Splashmon dealt.]]
    },
      
    [4] = {
        name = "Bead-Drown",
        cd = 5,
        desc = [[Sends towards an enemy a small fraction of the water sphere in his hand, making it grow huge when it hits its target to engulf and imprison everything around, initially dealing =h=1D=h= damage. Splashmon then raises that new sphere  up high, compressing it along the next =h=2=h= turns, dealing =h=2D=h= damage on the first turn then =h=3D=h= damage on the second. The sphere explodes in the end, dealing half the damage it dealt along the previous turns to other enemies that were outside. Damage dealt by Splashmon to an enemy inside the sphere is spread to all enemies.]]
    }
}

water[6] = {
    name = 'MegaSeadramon',
          [1] = {
        name = "Jet Spiral",
        cd = 0,
        desc = [[Releases a jet of high-pressure water from the mouth, dealing =h=1D + 2=h= damage and permanently reducing enemies' defenses, making them take =h=1=h= point of extra damage from later MegaSeadramon's attacks.]]
    },
    
    [2] = {
        name = "Stream Force",
        cd = 2,
        desc = [[Darts forward in a surge of water, taking enemies along the way, and dealing =h=1D + 2=h= damage every turn while they are being pushed. MegaSeadramon can keep the stream for up to =h=D4=h= turns and gains a shield for the duration of the skill, equal to the number of enemies caught =h=x 3=h=.]]
    },
    
    [3] = {
        name = "Maelstorm",
        cd = 3,
        desc = [[Revolves around an area to cause an enormous maelstrom to appear for D4 turns, trapping enemies inside and dealing =h=2D + 3=h= damage every turn. This skill can be used while Stream Force is active, and if that happens, the shield effect is renewed according to the number of enemies inside the maelstrom and its duration.]]
    }
}

water[7] = {
    name = 'Plesiomon',
          [1] = {
        name = "Mystery Tide",
        cd = 1,
        desc = [[Causes a tidal wave to surge forth, dealing =h=2D=h= damage and washing enemies away. If used underwater, enemies are crushed with the pressure, dealing bonus =h=3=h= damage. When the wave stops, it raises the water level around Plesiomon.]]
    },
    
    [2] = {
        name = "Shaking Pulse",
        cd = 2,
        desc = [[Fires a supersonic soundwave from its mouth, dealing =h=2D + 2=h= damage and making enemies confused for =h=1=h= turn. If the soundwave hits water or is emitted underwater, it instead stuns enemies.]]
    },
    
    [3] = {
        name = "Sorrow Blue",
        cd = 3,
        desc = [[Lets out a clear, high-pitched cry that summons a thick fog around Plesiomon for =h=D4=h= turns, slowing enemies movements and reducing their sight. Once while inside the fog, if Plesiomon would be hit, it can vanish then reappear in a water burst somewhere else inside the underwater fog area, dealing =h=3D=h= damage and raising the water level.]]
    },
    
    [4] = {
        name = "Deep Sea Lament",
        cd = 4,
        desc = [[Emits a deep, low-pitched growl, greatly increasing the water level for =h=2=h= turns. During the next turn, water itself engulfs enemies near Plesiomon, violently pulling them to the depths, dealing =h=3D + 3=h= damage plus bonus damage equal to the water pressure.]]
    }
}

return water