﻿--Digispirit of Wood
local wood = {} 

wood.color = {0,255,0}
wood.icon = {x = 2,y = 0}

wood.passive = {
    name = 'Seeds',
    desc = [[All abilities you use leave =h=SEEDS=h= on the targets. Those =h=SEEDS=h= can be activated by your other abilities for special effects.]]
}

wood.human = {
    name = 'Digispirit of Wood',
    [1] = {
        name = 'Paralyze Seed',
        cd = 0,
        desc = 'Throws a bunch of seeds that grow into vines that deal =h=1D – 2=h= damage and try to entangle their host, slowing them.'
    },
    [2] = {
        name = 'Poison Spore',
        cd = 1,
        desc = 'Throws a cloud of poisonous spores that damages by =h=1=h= every turn, for =h=1D=h= turns.'
    }
}
wood[1] = {
	name = 'Palmon',
    passive = wood.passive,
    [1] = {
        name = 'Poison Ivy',
        cd = 1,
        desc = [[Extends her claws and strikes the enemies dealing =h=1D=h= damage.

=h=SEED:=h= Roots the enemy hit for =h=1=h= turn.]]
    },
    
    [2] = {
        name = 'Thorn Spitter',
        cd = 1,
        desc = [[Shoots a thorn that deals =h=1D=h= damage.

=h=SEED:=h= Grows spikes in the target, dealing bonus =h=D4=h= damage.]]
    }
}

wood[2] = {
	name = 'Sunflowmon',
    passive = wood.passive,
    [1] = {
        name = "Cactus Tail",
        cd = 0,
        desc = [[Extends her tail and strikes the enemies dealing =h=1D + 1=h= damage.

=h=SEED:=h= Spawns corrosive plants that lowers the target’s defenses, making it take an extra =h=D4=h= damage for =h=1=h= turn when hit by other abilities.]]
    },
    
    [2] = {
        name = 'Spore Bomb',
        cd = 2,
        desc = [[Shoots a bomb of spores that deals =h=1D + 2=h= damage and slows the targets.

=h=SEED:=h= When hit by your physical abilities, grows healing plants on the target that heals you for =h=D6=h= health.]]
    },
    
    [3] = {
        name = "Sunshine Beam",
        cd = 3,
        desc = [[Strikes the targets with a ray of sunlight, dealing =h=2D=h= damage and slowing the targets.

=h=SEED:=h= Grows poisonous plants, dealing bonus =h=D8=h= (=h=2=h= damage each turn).]]
    }
}

wood[3] = {
	name = 'BanchoLilimon',
    passive = wood.passive,
    [1] = {
        name = "Twin Petals",
        cd = 0,
        desc = [[Strikes the targets with her yoyos dealing =h=1D + 2=h= damage. This ability stacks its seeds.

=h=SEED:=h= When it blooms, slows the targets for =h=1=h= turn per stack and deals =h=2=h= extra damage for each. ]]
    },
    
    [2] = {
        name = "Absolute Territory",
        cd = 2,
        desc = [[Spawns deadly vines from the ground that snares enemies and deals =h=2D=h= damage

=h=SEED:=h= Grows a black rose on the ground. When you or your allies touch the flowers, it heals for =h=D8=h= health and grants movement speed.]]
    },
    
    [3] = {
        name = "Killer Bloom",
        cd = 3,
        desc = [[Spawns a field of deadly black roses that deals =h=2D + 2=h= damage plus =h=15%=h= of your current health as bonus damage.

=h=SEED:=h= Grows explosive plants, dealing bonus =h=D8=h= damage in a small area. If the explosions hit other =h=SEEDS=h=, they activate too.]]
    }
}

wood[4] = {
	name = 'Ceresmon',
    passive = wood.passive,
        [1] = {
        name = "Divine Slasher",
        cd = 0,
        desc = [[Strikes the targets with her vines dealing =h=2D + 2=h= damage. This ability stacks its seeds.

=h=SEED:=h= When it blooms, roots the targets for =h=1=h= turn per stack and deals =h=2=h= extra damage for each.]]
    },
    
    [2] = {
        name = "Queen's Flowers",
        cd = 2,
        desc = [[Throws a wave of deadly flowers that deals =h=2D + 3=h= damage and poisons the targets, making them take =h=10%=h= of their current health as damage for =h=D4=h= turns.

=h=SEED:=h= Grows a purple rose on the ground. When you or your allies touch the flowers, it heals for =h=D8=h= health and grants a shield that absorbs damage equal to =h=20%=h= of your current health and lasts =h=D4=h= turns.]]
    },
    
    [3] = {
        name = "Forest Rampage",
        cd = 3,
        desc = [[Grows up to =h=3=h= trees from the ground, dealing =h=3D=h= damage each and knocking up all enemies in their wake. (This skill can be used along turns. Consecutive hits on a same target deal progressively half damage.)

=h=SEED:=h= Grows plants with spores that confuses enemies and deal bonus =h=1D + 2=h= damage.]]
    },
    
    [4] = {
        name = "Teliko Anthisi",
        cd = 4,
        desc = [[Summons a giant rose that explodes, dealing =h=3D + 2=h= damage plus =h=15%=h= of your current health as bonus damage.

=h=SEED:=h= Grows explosive plants, dealing bonus =h=D8=h= damage in a small area and slows all enemies hit. If the explosions hit other =h=SEEDS=h=, they activate too.]]
    }
}

wood[5] = {
    name = 'Ceresmon Ultimate',
    passive = wood.passive,
 [1] = {
        name = "Thorn Empress",
        cd = 2,
        desc = [[Shoots a rain of giant thorns that deals =h=4D + 2=h= damage and slows them.

=h=SEED:=h= Spawns poisonous plants deals =h=5=h= damage for =h=D4=h= turns.]]
    },
    
    [2] = {
        name = "Forest Embrace",
        cd = 2,
        desc = [[Swipes her tail through the ground, spawning giant vines that deals =h=3D + 4=h= damage and snares all targets hit for =h=1=h= turn.

=h=SEED:=h= Spawns eroding plants that makes the target take =h=20%=h= extra damage from your abilities for =h=2=h= turns.]]
    },
    
    [3] = {
        name = "Harvest Spore",
        cd = 3,
        desc = [[Releases fertilizing spores from her body that deals =h=5D=h= damage to all targets hit. Also, for the next =h=2=h= turns, your abilities activate their =h=SEEDS=h= immediately on the targets hit by this ability.]]
    },
    
    [4] = {
        name = "Primal Forest",
        cd = 5,
        desc = [[Pulls a target to the forest on her back, dealing =h=5D=h= damage. Ceresmon Medium appears on the internal forest and commands her vines to strike the imprisoned target, dealing =h=3D=h= damage. Ceresmon Medium has half of your current health and if the imprisoned target kills it, it is released. 

=h=SEED:=h= Spawns sacred plants that makes your attacks heal you for half the damage you deal for =h=2=h= turns.]]
    }
}
wood[6] = {
	name = 'Lotusmon',
    passive = wood.passive,
    [1] = {
        name = "Seventh Fantasia",
        cd = 1,
        desc = [[Sends out a blast of rainbow colored petals that deals =h=1D + 3=h= damage and slows them.

=h=SEED:=h= Spawns beautiful flowers that makes target relentless chase you for =h=D4=h= turn, making their attacks deal =h=7=h= less damage to you for that duration.]] 
    },
    
    [2] = {
        name = "Serpent Ruin",
        cd = 1,
        desc = [[Summons the snakes from her caduceus to strike her enemies. You can use the snakes during different turns. The Black Snake deals =h=1D=h= damage and roots the target in black vines for =h=1=h= turn. The White Snake deals =h=1D=h= damage and heals you for =h=20%=h= of your missing health.

=h=SEED:=h= Spawns poisonous plants that deals =h=2=h= damage over =h=D6=h= turns.]]
    },
    
    [3] = {
        name = "Eden's Revolution",
        cd = 4,
        desc = [[Combines the power from her two staffs to summon a powerful sacred tree that imprisons a target draining its life force, dealing =h=2D + 2=h= damage. The tree explodes after =h=2=h= turns, dealing =h=3D=h= damage and while it is summoned, you can command its vines and roots to strike enemies, dealing =h=1D + 2=h= damage. You can explode the tree earlier, but if you do, it deals half damage on the explosion.

=h=SEED:=h= Grows explosive plants that deals bonus =h=15%=h= damage.]]
    }
}

wood[7] = {
	name = 'Rosemon',
    passive = wood.passive,
    [1] = {
        name = "Thorn Whip",
        cd = 1,
        desc = [[Strikes the target with her whip, dealing =h=2D + 4=h= damage and slowing it.

=h=SEED:=h= Grows a red rose that, when touched by you or your allies, the next damaging ability used deals bonus =h=D10=h= damage.]]
    },
    
    [2] = {
        name = "Roses Rapier",
        cd = 1,
        desc = [[Dashes to a target, stocking it with her rapier, dealing =h=2D + 2=h= damage and gains a protective aura that has a chance of blocking an incoming attack.

=h=SEED:=h= Spawns a thorn-filled vine that shots spikes at nearby enemies, slowing and dealing =h=D8=h= damage. Lasts =h=D4=h= turns.]]
    },
    
    [3] = {
        name = "Ivy Hug",
        cd = 3,
        desc = [[Stomps the ground, growing entangling vines that roots enemies for =h=1=h= turn, absorbs their stamina and deals =h=3D=h= damage. In addition, you can utilize the absorbed energies to use =h=Thorn Whip=h= and =h=Roses Rapier=h= in a quick succession during the next turn. (Consecutive hits on a same target deal half damage.)

=h=SEED:=h= Spawns plants on the targets that heals you for half the damage you dealt with =h=Ivy Hug=h=.]]
  },
  
    [4] = {
        name = "Fleur Finale",
        cd = 4,
        desc = [[Fires a blast of energy focused from her tiferet that leaves beautiful red rose petals when it vanishes, dealing =h=4D + 2=h=. If any 
        
        =h=SEED=h= is activated by this, their effects are doubled. This ability do not leaves SEEDS.]]
    }
}

return wood