﻿--this converts the text from the "database" to colored text
local text = {}

function text.convert(unText,color)
    local white = {255,255,255}
    local coloredtext = {}
    local textparts = {}
    local hStart = 0
    
    while unText ~= '' do
        if string.find(unText,'=h=',1,true) then
            local ti,fm = string.find(unText,'=h=',1,true)
            local im,tf = string.find(unText,'=h=',fm+1,true)
            if hStart~=0 and ti == 1 then hStart = 1 end
            table.insert(textparts,string.sub(unText,1,ti-1))
            table.insert(textparts,string.sub(unText,fm+1,im-1))
            unText = string.sub(unText,tf+1,-1)
        else
            table.insert(textparts,unText)
            unText = ''
        end
    end
    
    for i,v in ipairs(textparts) do 
        if (i+hStart)%2 == 0 then
            table.insert(coloredtext,color)
        else
            table.insert(coloredtext,white)
        end
        table.insert(coloredtext,textparts[i])
    end
    
    return coloredtext
end

return text